package handler

import (
	"net/http"

	"fusenapi/server/canteen/internal/logic"
	"fusenapi/server/canteen/internal/svc"
	"fusenapi/server/canteen/internal/types"
)

func SaveCanteenTypeProductHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		var req types.SaveCanteenTypeProductReq

		// 创建一个业务逻辑层实例
		l := logic.NewSaveCanteenTypeProductLogic(r.Context(), svcCtx)
		resp := l.SaveCanteenTypeProduct(&req, userinfo)

	}
}
