package handler

import (
	"net/http"

	"fusenapi/server/home-user-auth/internal/logic"
	"fusenapi/server/home-user-auth/internal/svc"
	"fusenapi/server/home-user-auth/internal/types"
)

func UserBasicInfoHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		var req types.Request

		// 创建一个业务逻辑层实例
		l := logic.NewUserBasicInfoLogic(r.Context(), svcCtx)
		resp := l.UserBasicInfo(&req, userinfo)

	}
}
