package handler

import (
	"net/http"

	"fusenapi/server/inventory/internal/logic"
	"fusenapi/server/inventory/internal/svc"
	"fusenapi/server/inventory/internal/types"
)

func GetCloudListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		var req types.GetCloudListReq

		// 创建一个业务逻辑层实例
		l := logic.NewGetCloudListLogic(r.Context(), svcCtx)
		resp := l.GetCloudList(&req, userinfo)

	}
}
