package handler

import (
	"net/http"

	"fusenapi/server/map-library/internal/logic"
	"fusenapi/server/map-library/internal/svc"
)

func SaveMapLibraryHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		// 创建一个业务逻辑层实例
		l := logic.NewSaveMapLibraryLogic(r.Context(), svcCtx)
		resp := l.SaveMapLibrary(userinfo, r)

	}
}
