package handler

import (
	"net/http"

	"fusenapi/server/orders/internal/logic"
	"fusenapi/server/orders/internal/svc"
	"fusenapi/server/orders/internal/types"
)

func GetOrderDetailHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		var req types.GetOrderDetailReq

		// 创建一个业务逻辑层实例
		l := logic.NewGetOrderDetailLogic(r.Context(), svcCtx)
		resp := l.GetOrderDetail(&req, userinfo)

	}
}
