package handler

import (
	"net/http"

	"fusenapi/server/orders/internal/logic"
	"fusenapi/server/orders/internal/svc"
	"fusenapi/server/orders/internal/types"
)

func GetOrderInvoiceHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		var req types.GetOrderInvoiceReq

		// 创建一个业务逻辑层实例
		l := logic.NewGetOrderInvoiceLogic(r.Context(), svcCtx)
		resp := l.GetOrderInvoice(&req, userinfo)

	}
}
