package handler

import (
	"net/http"

	"fusenapi/server/product/internal/logic"
	"fusenapi/server/product/internal/svc"
	"fusenapi/server/product/internal/types"
)

func GetProductDesignHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		var req types.GetProductDesignReq

		// 创建一个业务逻辑层实例
		l := logic.NewGetProductDesignLogic(r.Context(), svcCtx)
		resp := l.GetProductDesign(&req, userinfo)

	}
}
