package handler

import (
	"net/http"

	"fusenapi/server/upload/internal/logic"
	"fusenapi/server/upload/internal/svc"
	"fusenapi/server/upload/internal/types"
)

func UploadQrcodeHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		var req types.UploadQrcodeReq

		// 创建一个业务逻辑层实例
		l := logic.NewUploadQrcodeLogic(r.Context(), svcCtx)
		resp := l.UploadQrcode(&req, userinfo)

	}
}
