package handler

import (
	"net/http"

	"fusenapi/server/inventory/internal/logic"
	"fusenapi/server/inventory/internal/svc"
	"fusenapi/server/inventory/internal/types"
)

func SupplementHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		var req types.SupplementReq

		// 创建一个业务逻辑层实例
		l := logic.NewSupplementLogic(r.Context(), svcCtx)
		resp := l.Supplement(&req, userinfo)

	}
}
