package handler

import (
	"net/http"

	"fusenapi/server/product/internal/logic"
	"fusenapi/server/product/internal/svc"
	"fusenapi/server/product/internal/types"
)

func DesignGatherHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		var req types.DesignGatherReq

		// 创建一个业务逻辑层实例
		l := logic.NewDesignGatherLogic(r.Context(), svcCtx)
		resp := l.DesignGather(&req, userinfo, r)

	}
}
