package handler

import (
	"net/http"

	"fusenapi/server/product/internal/logic"
	"fusenapi/server/product/internal/svc"
	"fusenapi/server/product/internal/types"
)

func GetLightByPidHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		var req types.GetLightByPidReq

		// 创建一个业务逻辑层实例
		l := logic.NewGetLightByPidLogic(r.Context(), svcCtx)
		resp := l.GetLightByPid(&req, userinfo)

	}
}
