package handler

import (
	"net/http"

	"fusenapi/server/shopping-cart-confirmation/internal/logic"
	"fusenapi/server/shopping-cart-confirmation/internal/svc"
	"fusenapi/server/shopping-cart-confirmation/internal/types"
)

func CartDeleteHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		var req types.CartDeleteReq

		// 创建一个业务逻辑层实例
		l := logic.NewCartDeleteLogic(r.Context(), svcCtx)
		resp := l.CartDelete(&req, userinfo)

	}
}
