package handler

import (
	"net/http"

	"fusenapi/server/shopping-cart-confirmation/internal/logic"
	"fusenapi/server/shopping-cart-confirmation/internal/svc"
	"fusenapi/server/shopping-cart-confirmation/internal/types"
)

func CartOrderDetailHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		var req types.CartOrderDetailReq

		// 创建一个业务逻辑层实例
		l := logic.NewCartOrderDetailLogic(r.Context(), svcCtx)
		resp := l.CartOrderDetail(&req, userinfo)

	}
}
