package handler

import (
	"net/http"

	"fusenapi/server/shopping-cart-confirmation/internal/logic"
	"fusenapi/server/shopping-cart-confirmation/internal/svc"
	"fusenapi/server/shopping-cart-confirmation/internal/types"
)

func CreateOrderHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		var req types.CreateOrderReq

		// 创建一个业务逻辑层实例
		l := logic.NewCreateOrderLogic(r.Context(), svcCtx)
		resp := l.CreateOrder(&req, userinfo)

	}
}
