package handler

import (
	"net/http"

	"fusenapi/server/upload/internal/logic"
	"fusenapi/server/upload/internal/svc"
	"fusenapi/server/upload/internal/types"
)

func UploadUpFileHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		var req types.RequestUpFile

		// 创建一个业务逻辑层实例
		l := logic.NewUploadUpFileLogic(r.Context(), svcCtx)
		resp := l.UploadUpFile(&req, userinfo)

	}
}
