package handler

import (
	"net/http"

	"fusenapi/server/webset/internal/logic"
	"fusenapi/server/webset/internal/svc"
	"fusenapi/server/webset/internal/types"
)

func WebSetSettingHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		var req types.RequestWebSet

		// 创建一个业务逻辑层实例
		l := logic.NewWetSetSettingLogic(r.Context(), svcCtx)
		resp := l.WebSetSetting(&req, userinfo)

	}
}
